Page MenuHomePhabricator

Decommission db2052.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2052.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2052

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Aug 21 2019, 7:53 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 531362 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2052 from config

https://gerrit.wikimedia.org/r/531362

Change 531380 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2052

https://gerrit.wikimedia.org/r/531380

Change 531362 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2052 from config

https://gerrit.wikimedia.org/r/531362

Change 531380 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2052

https://gerrit.wikimedia.org/r/531380

Mentioned in SAL (#wikimedia-operations) [2019-08-21T08:04:37Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2052 from config T230883 (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-08-21T08:05:39Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2052 from config T230883 (duration: 00m 54s)

Marostegui updated the task description. (Show Details)Aug 21 2019, 8:09 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-21T08:11:28Z] <marostegui> Remove db2052 from tendril and zarcillo T230883

Mentioned in SAL (#wikimedia-operations) [2019-08-21T08:11:36Z] <marostegui> Stop MySQL on db2052 T230883

Marostegui reassigned this task from Marostegui to RobH.Aug 21 2019, 8:12 AM
Marostegui edited projects, added decommission-hardware, ops-codfw, DC-Ops; removed DBA.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Oct 10 2019, 1:32 AM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2052.codfw.wmnet

  • db2052.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 543750 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for db2052

https://gerrit.wikimedia.org/r/543750

Change 543751 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production entries for db2052

https://gerrit.wikimedia.org/r/543751

Change 543750 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for db2052

https://gerrit.wikimedia.org/r/543750

Change 543751 merged by Marostegui:
[operations/dns@master] wmnet: Remove production entries for db2052

https://gerrit.wikimedia.org/r/543751

Marostegui reassigned this task from RobH to Papaul.Oct 17 2019, 5:40 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for switch disablement + onsite steps

[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/0;
[edit interfaces interface-range disabled]
     member ge-6/0/14 { ... }
+    member ge-6/0/0;
[edit interfaces]
-   ge-6/0/0 {
-       description db2052;
-       enable;
-   }
Papaul updated the task description. (Show Details)Oct 17 2019, 3:01 PM
Papaul updated the task description. (Show Details)Oct 31 2019, 3:14 PM
Papaul updated the task description. (Show Details)Oct 31 2019, 9:26 PM

Change 547663 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2052,db2053.db2059 and db2060

https://gerrit.wikimedia.org/r/547663

Change 547663 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2052,db2053.db2059 and db2060

https://gerrit.wikimedia.org/r/547663

Papaul closed this task as Resolved.Oct 31 2019, 9:50 PM
Papaul updated the task description. (Show Details)

complete